"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const scanner_1 = require("../lib/scanner");
class Scan extends command_1.Command {
    async run() {
        const { flags } = this.parse(Scan);
        await scanner_1.run({
            rootDirectory: flags.dir || ".",
            redactValues: flags.redact,
        });
    }
}
exports.default = Scan;
Scan.description = "scans local git repositories for committed secrets";
Scan.examples = ["$ git-secret-scanner scan ~/code/github.com/my-org -r"];
Scan.flags = {
    help: command_1.flags.help({ char: "h" }),
    dir: command_1.flags.string({
        char: "d",
        description: "directory to scan (current direction if omitted)",
    }),
    redact: command_1.flags.boolean({
        char: "r",
        description: "redact all matched secret strings",
    }),
};
