import { Repository } from "nodegit";
import { RuleType } from "../lib/rules";
export declare type ScanResultFindingBlame = {
    author: {
        email: string;
    };
    commit: string;
    date: Date;
} | undefined;
export declare type ScanResultFinding = {
    ruleType: RuleType;
    detail: string;
    blame?: ScanResultFindingBlame;
};
export declare type ScanResult = {
    findings: ScanResultFinding[];
};
export declare type ScanContext = {
    rootDirectory: string;
    redactValues: boolean;
    currentRepo?: Repository;
    currentPath?: string;
    result?: ScanResult;
};
export declare const run: (ctx: ScanContext) => Promise<void>;
